import 'package:flutter/cupertino.dart';
import 'package:get/get.dart';
import 'package:sadad_payment_flutter/sadad_payment_flutter.dart';

class MainPageController extends GetxController {
  TextEditingController cardHolderNameController = TextEditingController();
  TextEditingController cardNumberController = TextEditingController();
  TextEditingController expiryController = TextEditingController();
  TextEditingController cvvController = TextEditingController();
  TextEditingController cellNumberController = TextEditingController();
  TextEditingController sadadPayPasswordController = TextEditingController();
  PaymentType selectedPaymentMethod = PaymentType.creditCard;
  bool rememberMe = false;
  bool isObscure = true;

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();

  }

  String getCardType(String cardNumber){
    if (cardNumber.contains(RegExp(r'^(5[1-5][0-9]{4}|677189)[0-9]{5,}$'))) {
      return "Master card";
    } else if(cardNumber.contains(RegExp(r'^4[0-9]{6,}([0-9]{3})?$'))) {
      return "visa";
    } else if(cardNumber.contains(RegExp(r'^3[47][0-9]{5,}$'))) {
      return "American Express";
    } else if(cardNumber.contains(RegExp(r'^(36|38|30[0-5])'))) {
      return "Diners Club";
    } else if(cardNumber.contains(RegExp(r'^(5018|5020|5038|5[6-9]|6020|6304|6703|6759|676[1-3])'))) {
      return "Mestro";
    }
    return "";
  }
}
